Page MenuHomePhabricator

Make flashcard a longer height and download automatically to camera roll
Closed, DuplicatePublic

Description

The intent of the Flashcard prototype is to give readers something simple and small that is a concise summary of the article. We'd like to test that by giving them a full-size JPG that's easily to organize and share, but currently the jpg is slicing at the size of the window.

JPG should download to camera roll automatically.

Event Timeline

atgo created this task.Oct 17 2016, 8:55 AM
atgo moved this task from Backlog to Doing on the New-Readers board.Oct 17 2016, 9:13 AM
Jhernandez updated the task description. (Show Details)Oct 17 2016, 12:03 PM
From @RHo

try adding

@media print {
    @page { 
          margin: 0;
          size: 100vw 30cm; /* forces  */
        }
}

Example clipped pdf: https://pdf-electron.wmflabs.org/jpeg?accessKey=secret&url=https://en.wikipedia.org/wiki/Cat

I've been playing with the params but can't get it to work properly. Needs more investigation

atgo triaged this task as Medium priority.Oct 17 2016, 3:16 PM
atgo moved this task from Doing to Epics in progress on the New-Readers board.
atgo moved this task from Blocked to Doing on the New-Readers board.Nov 2 2016, 5:20 PM

Hey @GWicke is this possible? We're trying to make a single JPG from part of an article, sort of a low-MB summary.

Are you looking for a screenshot of the entire page (potentially very tall), or a first screenful worth of content for a thumbnail?

Hey @GWicke. Our ideal would be somewhere in the middle. The flashcard is
meant to include an image, lead paragraph, and some wikidata points.... so
somewhere over the size of a single screen but not huge.

If the thumb size should be pretty much fixed, then we could probably just configure a larger default screen size for the service. Could you create one or more example thumbnails from existing pages to demonstrate your rough size & aspect ratio needs?

Thanks @GWicke I imagine there'll be some variance, though we could try to limit size to a fixed height for now. The other thing is that the width of different devices is, well, different, so we may want to be responsive to that.

@Nirzar do you have current mocks with example articles? I looked at T148378 and Zeplin and didn't see anything.

atgo moved this task from Doing to Blocked on the New-Readers board.Nov 16 2016, 2:11 AM
atgo renamed this task from Make flashcard a full size jpg (not just size of window) to Make flashcard a longer height and download automatically to camera roll.Nov 18 2016, 12:27 AM
atgo updated the task description. (Show Details)
ovasileva moved this task from 2014-15 Q4 to Upcoming on the Readers-Web-Backlog board.

@atgo - based on email, moving this to next sprint for dev